# Invoke-RASSitePromoteToLicensing.md

## NAME

Invoke-RASSitePromoteToLicensing

## SYNOPSIS

Promotes a RAS Site to Licensing.

## SYNTAX

\*\*Invoke-RASSitePromoteToLicensing \[[Id](#id-string)] *(uint)* -[Email](#email-string) *(string)* -[Key](#key-string) *(string)* -[Password](#password-string) *(SecureString)* \[[Force](#force-string) *(SwitchParameter)*] \[[MacAddress](#macaddress-string) *(string)*] \[[RASAdminPassword](#rasadminpassword-string) *(SecureString)*] \[[RASAdminUsername](#rasadminusername-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Invoke-RASSitePromoteToLicensing \[[Name](#name-string)] *(string)* -[Email](#email-string) *(string)* -[Key](#key-string) *(string)* -[Password](#password-string) *(SecureString)* \[[MacAddress](#macaddress-string) *(string)*] \[[RASAdminPassword](#rasadminpassword-string) *(SecureString)*] \[[RASAdminUsername](#rasadminusername-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Promotes a RAS Site to Licensing.

## PARAMETERS

## Name (string)

The name of the site to promote.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the site to promote.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Email (string)

The email address you use to log in to Parallels My Account.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Password (SecureString)

Your Parallels account password.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Key (string)

Parallels RAS License Key. The key must be registered in Parallels My Account.

If you omit this parameter, the current license key will be used in activation.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## MacAddress (string)

Bind the license activation with a specific MAC address.

The MAC address should be in the format XX-XX-XX-XX-XX-XX.

To select a MAC address automatically, omit this parameter.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## RASAdminUsername (string)

Parallels RAS administrator username.

If this parameter is omitted, your RAS admin username (and password) will be used.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## RASAdminPassword (SecureString)

Parallels RAS administrator username.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Force (SwitchParameter)

Force site promotion (without access to Licensing Site).

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASSitePromoteToLicensing -Id 5 -Email "<name@company.com>" -Password $SecretPass

Promotes the specified RAS Site (by ID) to Licensing and activates a new RAS Site license with same license key.

The $SecretPass variable must contain a password as SecureString.

If you omit the -Password parameter, you'll be asked to enter it when you execute the cmdlet.\
\*\*---------- EXAMPLE 2 ----------

Invoke-RASSitePromoteToLicensing -Name Site2 -Email "<name@company.com>" -Password $SecretPass -Key "QPWO-WRET-XVBC-IOUP"

Promotes the specified RAS Site (by Name) to Licensing and activates a new RAS Site license using the specified key.

The $SecretPass variable must contain a password as SecureString.

If you omit the -Password parameter, you'll be asked to enter it when you execute the cmdlet.

## RELATED LINKS

* [Get-RASSite](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rassite.md)
* [New-RASSite](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rassite.md)
* [Set-RASSite](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rassite.md)
* [Remove-RASSite](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rassite.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rassitepromotetolicensing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
